from typing_extensions import Self

from ...tl import types
from .meta import NoPublicConstructor


class LinkPreview(metaclass=NoPublicConstructor):
    """
    Information about a link preview.

    This comes from media attached to a message, and is automatically generated by Telegram.
    """

    def __init__(self, code: types.auth.SentCode, phone: str) -> None:
        self._code = code
        self._phone = phone

    @classmethod
    def _new(cls, code: types.auth.SentCode, phone: str) -> Self:
        return cls._create(code, phone)
